=== modified file 'tests/include/read_many_rows.inc'
--- tests/include/read_many_rows.inc	2008-06-25 05:29:13 +0000
+++ tests/include/read_many_rows.inc	2008-12-16 22:22:43 +0000
@@ -29,7 +29,7 @@
 CREATE TABLE t2 (id INTEGER PRIMARY KEY);
 CREATE TABLE t3 (a CHAR(32) PRIMARY KEY,id INTEGER);
 eval CREATE TABLE t4 (a CHAR(32) PRIMARY KEY,id INTEGER) ENGINE=$other_engine_type;
-
+begin;
 INSERT INTO t1 (id) VALUES (1);
 INSERT INTO t1 SELECT id+1 FROM t1;
 INSERT INTO t1 SELECT id+2 FROM t1;
@@ -60,108 +60,3 @@
 
 DROP TABLE t1,t2,t3,t4;
 
-#
-# Bug#24989: The DEADLOCK error is improperly handled by InnoDB.
-#
-CREATE TABLE t1 (f1 int NOT NULL) ENGINE=InnoDB;
-CREATE TABLE t2 (f2 int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT) ENGINE=InnoDB;
-DELIMITER |;
-CREATE TRIGGER t1_bi before INSERT
-    ON t1 FOR EACH ROW
-BEGIN
-  DECLARE CONTINUE HANDLER FOR SQLSTATE '40001' SET @a:= 'deadlock';
-  DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET @a:= 'exception';
-  INSERT INTO t2 (f2) VALUES (1);
-  DELETE FROM t2 WHERE f2 = 1;
-END;|
-
-CREATE PROCEDURE proc24989()
-BEGIN
-  DECLARE CONTINUE HANDLER FOR SQLSTATE '40001' SET @b:= 'deadlock';
-  DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET @a:= 'exception';
-  INSERT INTO t2 (f2) VALUES (1);
-  DELETE FROM t2 WHERE f2 = 1;
-END;|
-
-create procedure proc24989_2()
-    deterministic
-begin
-  declare continue handler for sqlexception
-    select 'Outer handler' as 'exception';
-
-  insert into t1 values(1);
-  select "continued";
-end|
-
-DELIMITER ;|
-
-connect (con1,localhost,root,,);
-connect (con2,localhost,root,,);
-
-connection con1;
-start transaction;
-insert into t1 values(1);
-
-connection con2;
-start transaction;
-insert into t2 values(123);
-send insert into t1 values(1);
-
-connection con1;
---sleep 1
-insert into t1 values(1);
-
-connection con2;
---error 1213
-reap;
-select @a;
-# check that the whole transaction was rolled back
-select * from t2;
-
-connection con1;
-commit;
-start transaction;
-insert into t1 values(1);
-
-connection con2;
-start transaction;
-insert into t2 values(123);
-send call proc24989();
-
-connection con1;
---sleep 1
-insert into t1 values(1);
-
-connection con2;
-reap;
-select @a,@b;
-# check that the whole transaction was rolled back
-select * from t2;
-
-connection con1;
-commit;
-start transaction;
-insert into t1 values(1);
-
-connection con2;
-start transaction;
-insert into t2 values(123);
-send call proc24989_2();
-
-connection con1;
---sleep 1
-insert into t1 values(1);
-commit;
-
-connection con2;
-reap;
-# check that the whole transaction was rolled back
-select * from t2;
-
-disconnect con1;
-disconnect con2;
-connection default;
-drop procedure proc24989;
-drop procedure proc24989_2;
-drop table t1,t2;
-

=== renamed file 'tests/suite/broken/r/big_test.require' => 'tests/r/big_test.require'
=== renamed file 'tests/suite/broken/r/read_many_rows_innodb.result' => 'tests/r/read_many_rows_innodb.result'
--- tests/suite/broken/r/read_many_rows_innodb.result	2008-06-25 05:29:13 +0000
+++ tests/r/read_many_rows_innodb.result	2008-12-16 22:22:43 +0000
@@ -4,6 +4,7 @@
 CREATE TABLE t2 (id INTEGER PRIMARY KEY);
 CREATE TABLE t3 (a CHAR(32) PRIMARY KEY,id INTEGER);
 CREATE TABLE t4 (a CHAR(32) PRIMARY KEY,id INTEGER) ENGINE=MyISAM;
+begin;
 INSERT INTO t1 (id) VALUES (1);
 INSERT INTO t1 SELECT id+1 FROM t1;
 INSERT INTO t1 SELECT id+2 FROM t1;
@@ -33,69 +34,3 @@
 SUM(id)
 2199024304128
 DROP TABLE t1,t2,t3,t4;
-CREATE TABLE t1 (f1 int NOT NULL) ENGINE=InnoDB;
-CREATE TABLE t2 (f2 int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT) ENGINE=InnoDB;
-CREATE TRIGGER t1_bi before INSERT
-ON t1 FOR EACH ROW
-BEGIN
-DECLARE CONTINUE HANDLER FOR SQLSTATE '40001' SET @a:= 'deadlock';
-DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET @a:= 'exception';
-INSERT INTO t2 (f2) VALUES (1);
-DELETE FROM t2 WHERE f2 = 1;
-END;|
-CREATE PROCEDURE proc24989()
-BEGIN
-DECLARE CONTINUE HANDLER FOR SQLSTATE '40001' SET @b:= 'deadlock';
-DECLARE CONTINUE HANDLER FOR SQLEXCEPTION SET @a:= 'exception';
-INSERT INTO t2 (f2) VALUES (1);
-DELETE FROM t2 WHERE f2 = 1;
-END;|
-create procedure proc24989_2()
-deterministic
-begin
-declare continue handler for sqlexception
-select 'Outer handler' as 'exception';
-insert into t1 values(1);
-select "continued";
-end|
-start transaction;
-insert into t1 values(1);
-start transaction;
-insert into t2 values(123);
-insert into t1 values(1);
-insert into t1 values(1);
-ERROR 40001: Deadlock found when trying to get lock; try restarting transaction
-select @a;
-@a
-NULL
-select * from t2;
-f2
-commit;
-start transaction;
-insert into t1 values(1);
-start transaction;
-insert into t2 values(123);
-call proc24989();
-insert into t1 values(1);
-select @a,@b;
-@a	@b
-exception	deadlock
-select * from t2;
-f2
-commit;
-start transaction;
-insert into t1 values(1);
-start transaction;
-insert into t2 values(123);
-call proc24989_2();
-insert into t1 values(1);
-commit;
-exception
-Outer handler
-continued
-continued
-select * from t2;
-f2
-drop procedure proc24989;
-drop procedure proc24989_2;
-drop table t1,t2;

=== renamed file 'tests/suite/broken/t/read_many_rows_innodb.test' => 'tests/t/read_many_rows_innodb.test'
